Subject: RE: Hard links broken in setup 2.194.2.x
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 26 Mar 2002 20:39:58 +1100

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, March 26, 2002 9:05 PM
> To: [email-masked]
> Cc: Robert Collins; [email-masked]
> Subject: Hard links broken in setup 2.194.2.x
> 
> 
> This should go to cygwin-apps, but I am not allowed to post 
> there, so I do it here.

You can simply subscribe.
 
> The reported problem in 
> http://cygwin.com/ml/cygwin-apps/2002-> 03/msg00251.html is 
> really messing up all package installs 
> which use hard links.

Yes. In fact I have a solution here in my sandbox, I'm just making it a
little more robust before committing.

The problem isn't with prepending '/', but with path normalisation -
which got removed because it caused problems, but is now causing
problems :[.

I'm putting a workaround in place for the released setup, and a
different, better solution for HEAD... but one that will temporarily
break other stuff so isn't appropriate for release.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/